[Résolu] Erreur d'execution basic

Discussion et problème sur le facturier pour Auto-entrepreneur réalisé sous OpenOffice.org

Modérateur: Vilains modOOs

[Résolu] Erreur d'execution basic

Messagepar coupi » 06 Mars 2017 18:13

Bonjour,
Sous Linux Mint, depuis le passage de libre Office en version 5.1.6.2 j'ai le message d'erreur suivant en lançant le facturier:
Code : Tout sélectionner   AgrandirRéduire
Erreur d'exécution BASIC.
Une exception s'est produite :
Type: com.sun.star.uno.RuntimeException
Message:

L'erreur concerne la ligne suivante :
Code : Tout sélectionner   AgrandirRéduire
loop until Filtres.getcellrangebyname("B" & j).string = ""

Si quelqu'un a une solution à proposer ?

Merci d'avance.
Dernière édition par coupi le 08 Mars 2017 21:05, édité 1 fois.
LibreOffice 5.4.4.2 sous Deepin 15.6
coupi
Membre lOOyal
Membre lOOyal
 
Message(s) : 36
Inscrit le : 19 Fév 2010 19:53

Re: Erreur d'execution basic

Messagepar Hubert Lambert » 07 Mars 2017 22:16

Bonjour,

J'ai de la peine à cerner le problème mais il semblerait que, dans la macro ChiffreAffaireClient, il suffise de déplacer la ligne
Code : Tout sélectionner   AgrandirRéduire
    deproteger("Filtres")
après la ligne
Code : Tout sélectionner   AgrandirRéduire
    loop until Filtres.getcellrangebyname("B" & j).string = ""

Ça donnera donc ceci :
Code : Tout sélectionner   AgrandirRéduire
Sub ChiffreAffaireClient
    [...]
    thiscomponent.UnLockControllers
    Deproteger("Clients")
    thiscomponent.DatabaseRanges.getByName("plageClients").refresh()
    'on met à jour les graphiques de la page rapports
    Do
        j = j + 1
    loop until Filtres.getcellrangebyname("B" & j).string = ""
    deproteger("Filtres")
    if j > 2 then
        [...]
End Sub

En espérant que ça marche chez toi aussi...
Cordialement.
AOOo 4.1.2 sur Win7
AOOo 4.1.x sur Linux Mint
LibreOffice 5.x/6.x sur Linux Mint
--
| « Nos défauts devraient nous donner une qualité : l'indulgence pour les défauts des autres » (Rivarol)
Avatar de l’utilisateur
Hubert Lambert
SuppOOrter
SuppOOrter
 
Message(s) : 1108
Inscrit le : 06 Avr 2016 08:26

Re: Erreur d'execution basic

Messagepar coupi » 08 Mars 2017 18:27

Merci de ton aide, mais hélas le message d'erreur persiste.
Si tu veux je peux te faire passer le facturier en message privé, j'ai des clients dedans :)
LibreOffice 5.4.4.2 sous Deepin 15.6
coupi
Membre lOOyal
Membre lOOyal
 
Message(s) : 36
Inscrit le : 19 Fév 2010 19:53

Re: Erreur d'execution basic

Messagepar Hubert Lambert » 08 Mars 2017 18:57

Je viens de refaire l'essai, et tout fonctionne toujours bien. As-tu essayé de refermer puis rouvrir le document ?
J'ai testé avec une version vide du minifacturier, mais ce serait sans doute utile en effet de tester aussi une version "concrète".
Dernière édition par Hubert Lambert le 08 Mars 2017 19:41, édité 1 fois.
AOOo 4.1.2 sur Win7
AOOo 4.1.x sur Linux Mint
LibreOffice 5.x/6.x sur Linux Mint
--
| « Nos défauts devraient nous donner une qualité : l'indulgence pour les défauts des autres » (Rivarol)
Avatar de l’utilisateur
Hubert Lambert
SuppOOrter
SuppOOrter
 
Message(s) : 1108
Inscrit le : 06 Avr 2016 08:26

Re: Erreur d'execution basic

Messagepar micmac » 08 Mars 2017 19:07

Bonjour,
coupi a écrit:Sous Linux Mint, depuis le passage de libre Office en version 5.1.6.2

votre signature a écrit:LibreOffice 4.2.7.2 Linux Mint 17


Cliquez sur ce lien pour accéder à votre signature et la mettre à jour.
Dans votre signature vous devez préciser la ou les versions exactes d'OpenOffice ou de LibreOffice et du ou des systèmes utilisés.
Exemple : AOO 4.1.6 (version imposée selon le cas) sous Win7 SP1, Win 8.1, Win 10, macOS 10.14.5, Ubuntu 18.10...
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 5966
Inscrit le : 28 Août 2010 09:45

Re: Erreur d'execution basic

Messagepar Hubert Lambert » 08 Mars 2017 19:07

Hubert Lambert a écrit:Je viens de refaire l'essai, et tout fonctionne toujours bien. As-tu essayé de refermer puis rouvrir le document ?
J'ai testé avec une version vide du minifacturier, mais ce serait sans doute utile en effet de tester aussi une version "concrète".
AOOo 4.1.2 sur Win7
AOOo 4.1.x sur Linux Mint
LibreOffice 5.x/6.x sur Linux Mint
--
| « Nos défauts devraient nous donner une qualité : l'indulgence pour les défauts des autres » (Rivarol)
Avatar de l’utilisateur
Hubert Lambert
SuppOOrter
SuppOOrter
 
Message(s) : 1108
Inscrit le : 06 Avr 2016 08:26

Re: Erreur d'execution basic

Messagepar coupi » 08 Mars 2017 19:09

Je t'ai envoyé mon facturier en message privé...
LibreOffice 5.4.4.2 sous Deepin 15.6
coupi
Membre lOOyal
Membre lOOyal
 
Message(s) : 36
Inscrit le : 19 Fév 2010 19:53

Re: Erreur d'execution basic

Messagepar zeguedon » 08 Mars 2017 19:41

Bonjour,

Ne perdez pas vue que les versions de LibreOffice à la sauce Ubuntu (Mint en découle) sont parfois sujettes à dysfonctionnements non reproduis sur les versions de LibreOffice officielles.

A+
Comment baliser [Résolu] ?
AOO 4.1.5
LibreOffice 5.4.5.1
Ubuntu 18.04 LTS
zeguedon
ManitOOu
ManitOOu
 
Message(s) : 2565
Inscrit le : 02 Juil 2014 18:25

Re: Erreur d'execution basic

Messagepar Hubert Lambert » 08 Mars 2017 19:43

zeguedon a écrit:Ne perdez pas vue que les versions de LibreOffice à la sauce Ubuntu (Mint en découle) sont parfois sujettes à dysfonctionnements non reproduis sur les versions de LibreOffice officielles.

Pour ma part je n'ai que les versions officielles, et je reproduis en effet le problème décrit :) .

 Ajout : Pour corriger le problème, il faut apparemment faire la manipulation décrite plus haut dans les macros ChiffreAffaireArticle et ChiffreAffaireClient. 
AOOo 4.1.2 sur Win7
AOOo 4.1.x sur Linux Mint
LibreOffice 5.x/6.x sur Linux Mint
--
| « Nos défauts devraient nous donner une qualité : l'indulgence pour les défauts des autres » (Rivarol)
Avatar de l’utilisateur
Hubert Lambert
SuppOOrter
SuppOOrter
 
Message(s) : 1108
Inscrit le : 06 Avr 2016 08:26

Re: [Résolu] Erreur d'execution basic

Messagepar coupi » 08 Mars 2017 21:21

Merci à Hubert Lambert, tout fonctionne à nouveau. Je vais pouvoir saisir mes factures en retard :D
LibreOffice 5.4.4.2 sous Deepin 15.6
coupi
Membre lOOyal
Membre lOOyal
 
Message(s) : 36
Inscrit le : 19 Fév 2010 19:53

Re: [Résolu] Erreur d'execution basic

Messagepar jean-manu » 30 Juin 2017 16:09

Bonjour,
J'ai fait la dite manipulation, mais j'ai toujours l'erreur.
Après quelques petits bugs, j'ai pu pour l'instant utiliser le facturier correctement qui m'affiche cette erreur à chaque enregistrement de facture ou à chaque "actualisation" (quand on clique sur nouveau)

Voilà pour les retours,

bonne suite
Jean-Manu http://www.jeanmanu.fr
OpenOffice 4.1 sous Windows 7
jean-manu
Fraîchement OOthentifié
 
Message(s) : 1
Inscrit le : 30 Juin 2017 15:28

Re: [Résolu] Erreur d'execution basic

Messagepar micmac » 30 Juin 2017 16:18

Bonjour,

Nous nous devons de verrouiller ce fil de discussion. Nous vous rappelons les règles de ce forum et notamment la règle n° 7
Un sujet = le problème d'une seule personne

Comme vous avez pu le lire, ce sujet est désormais résolu. Si vous avez également ce problème, c'est que ce dernier est différent. Votre configuration n'est peut être pas la même que celle de l'auteur de ce fil.

Merci de votre collaboration.
Dans votre signature vous devez préciser la ou les versions exactes d'OpenOffice ou de LibreOffice et du ou des systèmes utilisés.
Exemple : AOO 4.1.6 (version imposée selon le cas) sous Win7 SP1, Win 8.1, Win 10, macOS 10.14.5, Ubuntu 18.10...
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 5966
Inscrit le : 28 Août 2010 09:45


Retour vers AE Facturier ++

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 2 invité(s)